import { Component, OnInit } from '@angular/core';

import { Platform } from '@ionic/angular';
import { Storage } from '@ionic/storage';
import { AuthServiceService } from '../../providers/auth-service.service';

@Component({
  selector: 'page-about',
  templateUrl: 'about.html',
  styleUrls: ['./about.scss'],
})
export class AboutPage implements OnInit {
  baixaDeCtas: boolean = true;
  cadContasPagar: boolean = true;
  fluxoCaixa: boolean = true;
  relContasReceber: boolean = true;

  constructor(public platform: Platform,
    private storage: Storage, public auth: AuthServiceService) { 
    
  }
  ngOnInit() {
    this.storage.get('ID').then((val) => {      
      if(val != null){
        for (let i = 0; i < val.length; i++) {
          const element = val[i];            
          for (let a = 0; a < element.PERMISSOES.length; a++) {
            const elemento = element.PERMISSOES[a];
            if(elemento.MODULO == "RelatContasApagar" && elemento.ENTRAR == "true"){
              this.baixaDeCtas = false;
              this.fluxoCaixa = false;
            }
            if(elemento.MODULO == "frmCadastroDeContasApagar" && elemento.ENTRAR == "true"){
              this.cadContasPagar = false;
            }
            if(elemento.MODULO == "RelatContasAreceber" && elemento.ENTRAR == "true"){
             this.relContasReceber = false;
            }            
          }
          // console.log(element.PERMISSOES['MODULO']);
        }
      } 
    });
  }

}
