import { Component, OnInit } from '@angular/core';

import { Platform } from '@ionic/angular';
import { Storage } from '@ionic/storage';
import { AuthServiceService } from '../../providers/auth-service.service';

@Component({
  selector: 'page-clientes',
  templateUrl: 'clientes.html',
  styleUrls: ['./clientes.scss'],
})
export class ClientesPage implements OnInit {
  melhorCliente: boolean = true;
  whatsApp: boolean = false;

  constructor(public platform: Platform,
    private storage: Storage, public auth: AuthServiceService) {}

  ngOnInit() {
    this.storage.get('ID').then((val) => {      
      if(val != null){        
        for (let i = 0; i < val.length; i++) {
          const element = val[i];            
          for (let a = 0; a < element.PERMISSOES.length; a++) {
            const elemento = element.PERMISSOES[a];            
            if(elemento.MODULO == "RelatMelhoresClientes" && elemento.ENTRAR == "true"){
              this.melhorCliente = false;              
            }            
          }
          // console.log(element.PERMISSOES['MODULO']);
        }
      } 
    });
  }


}
