import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ArredondarPipe } from '../arredondar.pipe';
import { ConverterDataPipe } from '../converter-data.pipe';
import { ConverterTimestampPipe } from '../converter-timestamp.pipe';
import { FormatarDinheiroPipe } from '../formatar-dinheiro.pipe';
import { GroupByPipe } from '../group-by.pipe';
import { GroupEstoquePipe } from '../group-estoque.pipe';
import { StatusShopeePipe } from '../status-shopee.pipe';



@NgModule({
  declarations: [ArredondarPipe, ConverterDataPipe, ConverterTimestampPipe, FormatarDinheiroPipe, GroupByPipe, GroupEstoquePipe, StatusShopeePipe],
  imports: [
    CommonModule
  ],
  exports: [ArredondarPipe, ConverterDataPipe, ConverterTimestampPipe, FormatarDinheiroPipe, GroupByPipe, GroupEstoquePipe, StatusShopeePipe],
})
export class ModuleModule { }
