import { Component, OnInit } from '@angular/core';


@Component({
  selector: 'app-ler-barras',
  templateUrl: './ler-barras.page.html',
  styleUrls: ['./ler-barras.page.scss'],
})
export class LerBarrasPage implements OnInit {
  scannerEnabled: any;
  codigoLido: any = "";
  constructor() { }

  ngOnInit() {
    this.scannerEnabled = true;
  }

  public scanSuccessHandler(resultString: string) {
    this.scannerEnabled = false;
    this.codigoLido = resultString;    
  }

  public enableScanner() {
    this.scannerEnabled = !this.scannerEnabled;
    
  }

}
