import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, NavigationExtras, Router } from '@angular/router';
import { AuthServiceService } from '../../providers/auth-service.service';
import { LoaderService } from '../../providers/loader.service';
import { VendasLojasService } from '../../providers/vendas-lojas.service';

@Component({
  selector: 'app-marketplace-editar',
  templateUrl: './marketplace-editar.page.html',
  styleUrls: ['./marketplace-editar.page.scss'],
})
export class MarketplaceEditarPage implements OnInit {
  parametro: any;
  shopee = true;
  mercadolivre = true;
  nuvemshop = true;
  woocommerce = true;
  constructor(public loader: LoaderService, public vendasLojas: VendasLojasService, 
    public auth: AuthServiceService, private route: ActivatedRoute, private router: Router) {       
      /*
      this.shopee = this.auth.shopee;
      this.mercadolivre = this.auth.mercadoLivre;
      this.nuvemshop = this.auth.nuvemShop;
      this.woocommerce = this.auth.woocomerce;
      */

      this.shopee = true;
      this.mercadolivre = true;
      this.nuvemshop = true;
      this.woocommerce = true;

      this.route.queryParams.subscribe(params => {
        this.parametro = JSON.parse(params.codigoPai);
        console.log(this.parametro);
        // this.nomeVendedor = params.
        // this.data = JSON.parse(params.special);        
        // this.buscarDesempenhoLojas(this.data);
      });
    }

  ngOnInit() {
  }

  detalhe(e){
    console.log(e);
    let navigationExtras: NavigationExtras = {
      queryParams: {
        codigoPai: JSON.stringify(this.parametro),
        // marketplace: JSON.stringify(e)
      }
    };    
    this.router.navigate(['/app/tabs/schedule/cadastrar-item-mercado-livre'], navigationExtras);
    // console.log(navigationExtras);
  }



}
