import { Component, OnInit } from '@angular/core';
import { LoaderService } from '../../providers/loader.service';
import { VendasLojasService } from '../../providers/vendas-lojas.service';

@Component({
  selector: 'app-vendas-liberar-desconto',
  templateUrl: './vendas-liberar-desconto.page.html',
  styleUrls: ['./vendas-liberar-desconto.page.scss'],
})
export class VendasLiberarDescontoPage implements OnInit {
  pedidos: any = [];
  modulo: any = "frmPedidosDeVenda_ConfirmarPedidoPendente";
  constructor(public loader: LoaderService, public vendasLojas: VendasLojasService) { }

  ngOnInit() {
    this.buscarDesempenhoLojas();
  }
  openModal(){
    
  }
  ionViewDidLoad() {    
    
  }

  infoPedido(a){
    console.log(a);
  }

  /*
  infoPedido(item){
    let profileModal = this.modalCtrl.create('LiberacaoDescontoPedidosInfoPage', { pedido: item }, {
      enableBackdropDismiss: false
    });
   profileModal.onDidDismiss(data => {
     
    if(data[2]['qtItens'] == 0){
      this.vendasLojas.atualizarPedidoParaProvacaoItens(data)
      .then((result: any) => {
        const toast = this.toast.create({
          message: 'Pedido autorizado com sucesso!',
          duration: 3000
        });
        toast.present();
        this.buscarDesempenhoLojas();
      })
      .catch((error: any) => {
        console.log('error: '+error);
      });
    }
   });
   profileModal.present();

  }
  */

  buscarDesempenhoLojas() {
    this.loader.showLoader("Buscando informações...");    
    this.pedidos = [];
    this.vendasLojas.consultarPedidoParaProvacao(this.modulo)
    .then((result: any) => {
      this.loader.hideLoader();      
      this.pedidos = result;
      if(result.length == 0){
        this.loader.presentToast("Não encontrei pedidos p/ liberar.");
      }              
    })
    .catch((error: any) => {
      this.loader.hideLoader();
      this.loader.showError("Ops!", error)
    });
  }

}
