import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'converterTimestamp'
})
export class ConverterTimestampPipe implements PipeTransform {

  transform(date) {
    var d = new Date(date * 1000);    
    var mes: any = d.getMonth()+1;
    var dia: any = d.getDate();
    return this.padLeft(dia, '0', 2) + '/' + this.padLeft(mes, '0', 2) + '/' + d.getFullYear();
  }

  padLeft(text:string, padChar:string, size:number): string {
    return (String(padChar).repeat(size) + text).substr( (size * -1), size) ;
  }

}
