import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'statusShopee'
})
export class StatusShopeePipe implements PipeTransform {

  transform(value:string) {
    switch (value) {
      case "UNPAID":
        return "Nao paga";      
      case "READY_TO_SHIP":
        return "Pronta para enviar";      
      case "RETRY_SHIP":
        return "Enviar novamente";
      case "SHIPPED":
        return "Enviado";      
      case "TO_CONFIRM_RECEIVE":
        return "Para confirmar o recebimento";      
      case "IN_CANCEL":
        return "Em cancelamento";      
      case "CANCELLED":
        return "Cancelado";      
      case "TO_RETURN":
        return "Para retorno";    
      case "COMPLETED":
        return "Concluido";      
    }    
  }

}
