import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { AuthServiceService } from './auth-service.service';

@Injectable({
  providedIn: 'root'
})
export class MercadoLivreService {
  public Parametro = {
    idConexao: '',
    url: '',    
  }
  constructor(public auth: AuthServiceService, private http: HttpClient) { }

  categorias(url) {
    //credentials.push(this.auth.Id);
    if(this.auth.URL == '' || this.auth.Id == undefined){
      //const root = this.app.getRootNav();
      //root.setRoot('LoginPage');
      //return new Promise(null);
    } else {
      this.Parametro.idConexao = this.auth.Id;
      this.Parametro.url = url;
      console.log(this.Parametro);
      return new Promise((resolve, reject) => {
        this.http.post(this.auth.URL + '/consultarAleatorioMercadoLivre', this.Parametro)
        .subscribe((result: any) => {
          
          resolve(result);
        },
        (error) => {
          reject(error);
        });
      });
    }
  }
}
